// Code generated by MockGen. DO NOT EDIT.
// Source: user_states.go

// Package mock_core is a generated GoMock package.
package botengine_mocks

import (
	gomock "github.com/golang/mock/gomock"
	"gitlab.com/eng-bot/bot/internal/botengine/models"
	reflect "reflect"
)

// MockUserStatesService is a mock of UserStatesService interface
type MockUserStatesService struct {
	ctrl     *gomock.Controller
	recorder *MockUserStatesServiceMockRecorder
}

// MockUserStatesServiceMockRecorder is the mock recorder for MockUserStatesService
type MockUserStatesServiceMockRecorder struct {
	mock *MockUserStatesService
}

// NewMockUserStatesService creates a new mock instance
func NewMockUserStatesService(ctrl *gomock.Controller) *MockUserStatesService {
	mock := &MockUserStatesService{ctrl: ctrl}
	mock.recorder = &MockUserStatesServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockUserStatesService) EXPECT() *MockUserStatesServiceMockRecorder {
	return m.recorder
}

// GetUserState mocks base method
func (m *MockUserStatesService) GetUserState(arg0 int64) (models.ApplicationState, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetUserState", arg0)
	ret0, _ := ret[0].(models.ApplicationState)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetUserState indicates an expected call of GetUserState
func (mr *MockUserStatesServiceMockRecorder) GetUserState(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetUserState", reflect.TypeOf((*MockUserStatesService)(nil).GetUserState), arg0)
}

// UpdateState mocks base method
func (m *MockUserStatesService) UpdateState(arg0 int64, arg1 models.ApplicationState) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateState", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateState indicates an expected call of UpdateState
func (mr *MockUserStatesServiceMockRecorder) UpdateState(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateState", reflect.TypeOf((*MockUserStatesService)(nil).UpdateState), arg0, arg1)
}
